arrangers: []
catalog: N/A
categories:
- Game
category: Game
classification: Original Soundtrack
composers:
- link: artist/52652
  names:
    en: Big Giant Circles
- link: artist/16163
  names:
    en: Ronald Jenkees
covers: []
discs:
- disc_length: '86:33'
  name: Disc 1
  tracks:
  - names:
      English: The Echo
    track_length: '2:40'
  - names:
      English: Main Theme
    track_length: '1:57'
  - names:
      English: Ignite Defense
    track_length: '3:27'
  - names:
      English: Radial Lock
    track_length: '4:05'
  - names:
      English: LAX
    track_length: '3:20'
  - names:
      English: Kinetic Potential
    track_length: '4:31'
  - names:
      English: Filter In
    track_length: '3:35'
  - names:
      English: Last Known Position
    track_length: '3:46'
  - names:
      English: Sass Effect
    track_length: '2:18'
  - names:
      English: The Singularity
    track_length: '3:35'
  - names:
      English: The Peyton Conspiracy
    track_length: '3:31'
  - names:
      English: Telescopic
    track_length: '3:05'
  - names:
      English: Alpha Numeric
    track_length: '3:45'
  - names:
      English: In Blue
    track_length: '4:33'
  - names:
      English: Waiting for Fire
    track_length: '4:00'
  - names:
      English: Override
    track_length: '2:42'
  - names:
      English: Daylight
    track_length: '4:37'
  - names:
      English: Echo Out
    track_length: '4:22'
  - names:
      English: Voltage
    track_length: '2:57'
  - names:
      English: Mr. Mac
    track_length: '4:27'
  - names:
      English: Never Coming Back
    track_length: '3:24'
  - names:
      English: Synergetics
    track_length: '4:16'
  - names:
      English: Outside the Realm
    track_length: '3:29'
  - names:
      English: Throwing Circles
    track_length: '4:11'
distributor: &id001
  link: org/412
  names:
    en: Steam
    ja: Steam
    ja-latn: Steam
  role: retailer
link: album/75628
lyricists: []
media_format: Digital
meta:
  added_date: 2018-02-22T17:26
  edited_date: 2022-05-03T14:38
  fetched_date: 2025-12-07T11:06
  freedb: 1
  ttl: 86400
  visitors: 1465
name: There Came an Echo Original Soundtrack
names:
  en: There Came an Echo Original Soundtrack
  ja: There Came an Echo Original Soundtrack
  ja-latn: There Came an Echo Original Soundtrack
notes: 'Available as a DLC for owners of the game on Steam.

  24 tracks version

  Music composed by:

  Big Giant Circles (01~06, 08~12, 15~17, 19, 21, 23, 24)

  Ronald Jenkees (07, 13, 14, 18, 20, 22)

  Vocals performed by Malukah and Ashly Burch

  Violin performed by Jeff Ball

  Additional Keyboard performed by Ronald Jenkees'
organizations:
- &id002
  names:
    en: Iridium Studios
    ja: Iridium Studios
    ja-latn: Iridium Studios
  role: publisher
- *id001
performers:
- link: artist/68644
  names:
    en: Malukah
- link: artist/16165
  names:
    en: Ashly Burch
- link: artist/11774
  names:
    en: Jeff Ball
- link: artist/16163
  names:
    en: Ronald Jenkees
picture_full: https://media.vgm.io/albums/82/75628/75628-1519349203.jpg
picture_small: https://medium-media.vgm.io/albums/82/75628/75628-1519349203.jpg
picture_thumb: https://thumb-media.vgm.io/albums/82/75628/75628-1519349203.jpg
platforms:
- Microsoft Xbox One
- PC
- Sony PlayStation 4
products:
- names:
    en: There Came an Echo
publish_format: Commercial, Enclosure
publisher: *id002
related:
- catalog: N/A
  date: '2014-11-05'
  link: album/51272
  names:
    en: Alpha Numeric
    ja: Alpha Numeric
    ja-latn: Alpha Numeric
  type: game
- catalog: N/A
  date: '2015-05-21'
  link: album/51252
  names:
    en: There Came an Echo Original Soundtrack
    ja: There Came an Echo Original Soundtrack
    ja-latn: There Came an Echo Original Soundtrack
  type: game
release_date: '2015-02-24'
release_events: []
release_price:
  currency: USD
  price: 9.99
reprints: []
stores:
- link: http://store.steampowered.com/app/327470/There_Came_an_Echo_Original_Soundtrack/
  name: Steam
vgmdb_link: https://vgmdb.net/album/75628?perpage=99999
votes: 0
